#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0xe32448b2, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0xa1da8202, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x8d8cb23b, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0xc2e95de4, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0xde99b4f9, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x987cdd6c, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x34cda57e, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x60d0f878, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0xf3078712, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x25c5b2e0, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0xda98bcd9, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0xab7f901d, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0xe2c37c30, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x41ac0078, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x6bfab941, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0xc413da22, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x3e9e6f97, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7a49e9e8, "vmemmap" },
	{ 0xfa2292d8, "iscsi_dbg_trace" },
	{ 0x50ce7614, "dev_printk" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x92bd04f9, "crypto_ahash_final" },
	{ 0x70a06e79, "crypto_ahash_digest" },
	{ 0x236c8c64, "memcpy" },
	{ 0xe798236d, "jiffies" },
	{ 0xda502a53, "skb_prepare_seq_read" },
	{ 0xfaf74157, "skb_seq_read" },
	{ 0x85cc326e, "skb_abort_seq_read" },
	{ 0xf5916bbb, "iscsi_conn_failure" },
	{ 0x55401e8f, "iscsi_conn_setup" },
	{ 0x75febd4a, "iscsi_conn_teardown" },
	{ 0xb534f61f, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xaa976bb3, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x7204e71d, "__traceiter_iscsi_dbg_tcp" },
	{ 0x1d43cd05, "iscsi_prep_data_out_pdu" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xe2d68322, "iscsi_put_task" },
	{ 0xf6761579, "iscsi_itt_to_ctask" },
	{ 0x8ae9a916, "iscsi_get_task" },
	{ 0x4f20c9c7, "iscsi_update_cmdsn" },
	{ 0x62c3d89f, "iscsi_requeue_task" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x515f5906, "iscsi_complete_pdu" },
	{ 0x58e7192c, "iscsi_verify_itt" },
	{ 0xbb22618c, "__iscsi_complete_pdu" },
	{ 0xefa4f987, "param_ops_int" },
	{ 0xf4a1753, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "AD9D6C9944437EF83E227A6");
MODULE_INFO(rhelversion, "9.5");
