#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_integrity_init, "", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x688b27e6, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x64a0a29e, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x8b912183, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0xd38ef660, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0x95d77ca0, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x721a8cbf, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0xaabcf47d, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x55be45c1, "_gpl");
SYMBOL_CRC(nd_integrity_init, 0xcf3d3c41, "");
SYMBOL_CRC(nd_device_notify, 0xd899f7cf, "");
SYMBOL_CRC(nvdimm_region_notify, 0x0c966a03, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0xa22a7cf0, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x45b92175, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x6e03a9ce, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x5cf3e4f4, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x2f57973d, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x664005fc, "");
SYMBOL_CRC(nd_device_unregister, 0x462244ad, "");
SYMBOL_CRC(__nd_driver_register, 0x7edc3338, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x71fe6510, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x3fd10954, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0xbd420379, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x4af5249d, "_gpl");
SYMBOL_CRC(to_ndd, 0x72e647da, "");
SYMBOL_CRC(nvdimm_name, 0xf7308f16, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x32100cc8, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x701ba82e, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x242a8fbf, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x333b177c, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0xae06f027, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x7f1e89c8, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x0703022d, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x3cef5eef, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x69510cdd, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x9f0483c4, "_gpl");
SYMBOL_CRC(to_nd_region, 0x5cb422c1, "_gpl");
SYMBOL_CRC(nd_region_dev, 0xb2c0f36d, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0xe8d374f5, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x84fed677, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x86c229da, "");
SYMBOL_CRC(nd_region_release_lane, 0xc5962c9f, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x0a7cb5a6, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0xa3b6fbe6, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0xec74f386, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0xca9cf8d3, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x50efc9ba, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0xaf961670, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x9520be58, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0xc4a9c4d6, "");
SYMBOL_CRC(pmem_sector_size, 0xd47f263a, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x4a77754d, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x13571b9f, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x05ec40a8, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0xf15937bd, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x2a82eaa4, "");
SYMBOL_CRC(devm_namespace_enable, 0x4080737c, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0xed28a322, "_gpl");
SYMBOL_CRC(badrange_init, 0x07b125d2, "_gpl");
SYMBOL_CRC(badrange_add, 0x8f12f4af, "_gpl");
SYMBOL_CRC(badrange_forget, 0xd425f7b5, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x7fc2f417, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0x85b56390, "");
SYMBOL_CRC(is_nd_btt, 0xc3b0fa87, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x1baf82ce, "");
SYMBOL_CRC(nd_btt_version, 0xe05c6aff, "");
SYMBOL_CRC(nd_btt_probe, 0xdfc04f42, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x589105bc, "set_disk_ro" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xfe584434, "blk_integrity_register" },
	{ 0x45d3d43e, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x7b7f619, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x89ec2f84, "devm_memremap" },
	{ 0xe30259bf, "dev_set_name" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x2555b97a, "badblocks_set" },
	{ 0xe79f7b2a, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xda8ecc73, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x68712d1a, "device_initialize" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2db5b64, "badblocks_exit" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x708a8d08, "device_for_each_child" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x7c743b61, "get_device" },
	{ 0xd827fff3, "memremap" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xf31f4e, "__dynamic_dev_dbg" },
	{ 0x75bd55e2, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xb3bb9540, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0xbf7d92aa, "__devm_request_region" },
	{ 0x39fe4ae, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x1a6b4d56, "put_device" },
	{ 0x5c863bcb, "badblocks_show" },
	{ 0x230bca5e, "key_type_encrypted" },
	{ 0x3bdd306b, "_dev_info" },
	{ 0x7e9320e5, "module_put" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x6a00d80a, "compat_ptr_ioctl" },
	{ 0xd6624587, "perf_pmu_migrate_context" },
	{ 0x7956a86a, "perf_pmu_register" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xf02f4820, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3e27d07d, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0xe26b1185, "_dev_err" },
	{ 0x6ccc34dd, "sort" },
	{ 0xee7b3d62, "__cpuhp_setup_state" },
	{ 0x4eea8e4c, "devm_memunmap" },
	{ 0xd2e79416, "cpu_bit_bitmap" },
	{ 0xdfb061cd, "device_add" },
	{ 0x62406478, "noop_llseek" },
	{ 0x2ca5f9f0, "class_create" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd7faf201, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x85abc85f, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xb6b6dc7a, "driver_unregister" },
	{ 0x98432e79, "__cpuhp_state_add_instance" },
	{ 0x28540cd9, "perf_pmu_unregister" },
	{ 0xf31c0d52, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3cbb2cb2, "device_find_child" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x80cc906b, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x103bafd6, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xf3ffd20, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x198c67d3, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x79a00354, "__devm_release_region" },
	{ 0xe8b7cab6, "request_key_tag" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0x72b5a86a, "kernfs_put" },
	{ 0x86642832, "__register_chrdev" },
	{ 0xe35fb609, "kmemdup" },
	{ 0xede25634, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc8e173ed, "_find_next_bit_le" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x509cbe08, "badblocks_check" },
	{ 0xebdc3a46, "kmalloc_trace" },
	{ 0xa40976a9, "__devm_add_action" },
	{ 0xb7ab87f2, "badblocks_clear" },
	{ 0xb0b97bf, "devm_init_badblocks" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xe7050b3a, "driver_register" },
	{ 0xf0355b64, "__cpuhp_remove_state" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x9d04fe5, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa51a2967, "_find_next_zero_bit_le" },
	{ 0x82caba2, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xf4a1753, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A1F5D9ED471471A7E540C42");
MODULE_INFO(rhelversion, "9.5");
